Bug 814944 - [abrt] system-config-samba-1.2.96-1.fc17: random.py:111:seed:OSError: [Errno 13] Permission denied: '/dev/urandom'
[abrt] system-config-samba-1.2.96-1.fc17: random.py:111:seed:OSError: [Errno ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:fa889bb4571b0d9b8f7d0417973...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-21 09:58 EDT by Misha Shnurapet
Modified: 2013-08-01 01:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:47:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: smolt_data (2.94 KB, text/plain)
2012-04-21 09:58 EDT, Misha Shnurapet
no flags Details

  None (edit)
Description Misha Shnurapet 2012-04-21 09:58:28 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/share/system-config-samba/system-config-samba-mechanism.py
executable:     /usr/share/system-config-samba/system-config-samba-mechanism.py
kernel:         3.3.2-1.fc17.x86_64
time:           Сб. 21 апр. 2012 22:52:14
uid:            0
username:       root

smolt_data:     Binary file, 3013 bytes

backtrace:
:random.py:111:seed:OSError: [Errno 13] Permission denied: '/dev/urandom'
:
:Traceback (most recent call last):
:  File "/usr/share/system-config-samba/system-config-samba-mechanism.py", line 25, in <module>
:    import scsamba.dbus.service
:  File "/usr/lib/python2.7/site-packages/scsamba/dbus/service/__init__.py", line 34, in <module>
:    from sambaBackend import SambaBackend
:  File "/usr/lib/python2.7/site-packages/scsamba/dbus/service/sambaBackend.py", line 26, in <module>
:    import scsamba.core.sambaBackend
:  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaBackend.py", line 26, in <module>
:    from slip.util.files import copyfile
:  File "/usr/lib/python2.7/site-packages/slip/util/__init__.py", line 4, in <module>
:    import files
:  File "/usr/lib/python2.7/site-packages/slip/util/files.py", line 29, in <module>
:    import tempfile
:  File "/usr/lib64/python2.7/tempfile.py", line 34, in <module>
:    from random import Random as _Random
:  File "/usr/lib64/python2.7/random.py", line 881, in <module>
:    _inst = Random()
:  File "/usr/lib64/python2.7/random.py", line 97, in __init__
:    self.seed(x)
:  File "/usr/lib64/python2.7/random.py", line 111, in seed
:    a = long(_hexlify(_urandom(16)), 16)
:OSError: [Errno 13] Permission denied: '/dev/urandom'
:
:Local variables in innermost frame:
:a: None
:self: <random.Random object at 0xbfd2c0>
Comment 1 Misha Shnurapet 2012-04-21 09:58:31 EDT
Created attachment 579182 [details]
File: smolt_data
Comment 2 Nils Philippsen 2012-04-25 05:45:21 EDT
I'd be very surprised if this isn't related to SELinux, most likely a wrong label somewhere, as /dev/urandom is readable/writable for everyone and it works for me on an updated Fedora 17 post-Beta machine.

What does running the following command as root give?

restorecon -vRn /dev/urandom /usr/share/system-config-samba

Which version of selinux-policy-targeted do you have installed?
Comment 3 Misha Shnurapet 2012-04-28 11:31:25 EDT
# restorecon -vRn /dev/urandom /usr/share/system-config-samba
# 

No output.

selinux-policy-targeted-3.10.0-116.fc17.noarch
Comment 4 Fedora End Of Life 2013-07-03 21:24:45 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 01:47:21 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.